ISDN devices
Implementation internals » Device handling

ISDN identify functions. More...

## Functions

void | hd_scan_isdn (hd_data_t *hd_data)
cdb_isdn_card * | get_isdn_info (hd_t *hd)
void | hd_scan_dsl (hd_data_t *hd_data)
cdb_isdn_card * | get_dsl_info (hd_t *hd)

## Detailed Description

ISDN identify functions.

## Function Documentation

## get_dsl_info()

cdb_isdn_card * get_dsl_info | ( | hd_t * | hd | ) |

References s_hd_t::base_class, bc_dsl, s_hd_t::bus, bus_pci, bus_usb, cdb_isdn_card::Class, s_hd_t::device, hd_cdbisdn_get_card_from_id(), hd_cdbisdn_get_vario(), hd_id_t::id, ID_TAG, ID_VALUE, cdb_isdn_vario::interface, hd_id_t::name, new_mem(), s_hd_t::revision, sc_dsl_capi, sc_dsl_pppoe, sc_dsl_unknown, s_hd_t::sub_class, s_hd_t::sub_device, s_hd_t::sub_vendor, TAG_USB, cdb_isdn_card::vario, and s_hd_t::vendor.

Referenced by hd_scan_dsl(), and hddb_add_info().

## get_isdn_info()

cdb_isdn_card * get_isdn_info | ( | hd_t * | hd | ) |

References s_hd_t::base_class, bc_isdn, bc_network, s_hd_t::bus, bus_cardbus, bus_isa, bus_pci, bus_pcmcia, bus_usb, cdb_isdn_card::Class, s_hd_t::device, s_hd_t::drivers, hd_cdbisdn_get_card_from_id(), hd_cdbisdn_get_card_from_type(), hd_id_t::id, ID_TAG, ID_VALUE, hd_id_t::name, new_mem(), s_hd_t::revision, s_str_list_t::str, s_hd_t::sub_device, s_hd_t::sub_vendor, TAG_EISA, TAG_SPECIAL, TAG_USB, and s_hd_t::vendor.

Referenced by hd_scan_isdn(), and hddb_add_info().

## hd_scan_dsl()

void hd_scan_dsl | ( | hd_data_t * | hd_data | ) |

References add_hd_entry(), s_hd_t::base_class, bc_dsl, s_hd_t::bus, bus_pci, s_hd_t::device, free_mem(), get_dsl_info(), hd_data, hd_probe_feature(), hd_id_t::id, MAKE_ID, mod_dsl, s_hd_t::next, pr_isdn, PROGRESS, remove_hd_entries(), TAG_SPECIAL, and s_hd_t::vendor.

Referenced by hd_scan_no_hal().

## hd_scan_isdn()

void hd_scan_isdn | ( | hd_data_t * | hd_data | ) |

References acc_rw, res_io_t::access, add_hd_entry(), add_res_entry(), res_io_t::base, res_irq_t::base, s_hd_t::base_class, bc_isdn, s_hd_t::bus, bus_isa, bus_pci, s_hd_t::device, res_io_t::enabled, res_irq_t::enabled, free_mem(), get_isdn_info(), hd_data, hd_probe_feature(), hd_id_t::id, u_hd_res_t::io, u_hd_res_t::irq, MAKE_ID, mod_isdn, new_mem(), s_hd_t::next, pr_isdn, PROGRESS, remove_hd_entries(), s_hd_t::res, res_io, res_irq, s_hd_t::sub_class, TAG_EISA, TAG_PCI, TAG_SPECIAL, res_io_t::type, res_irq_t::type, and s_hd_t::vendor.

Referenced by hd_scan_no_hal().